uniform sampler2D textureId; 
void main (void)
{
	vec4 sum = vec4(0.0, 0.0, 0.0, 1.0);
	vec4 pixel = texture2D(textureId, gl_TexCoord[0].xy);
	

	float occursEvery = 3.0;
	int occursEveryInt = int(occursEvery);
	int occursEveryDiv = occursEveryInt/2;

	int derpy = int(gl_FragCoord.y);
	int derpy2 = int(mod(float(derpy), occursEvery));
	if (derpy2 < occursEveryDiv) 
	{
		pixel.r = pixel.r * 0.8;
		pixel.g = pixel.g * 0.8;
		pixel.b = pixel.b * 0.8;
	}

	sum += pixel;

	gl_FragColor = sum;
}